<?php if ( get_theme_mod( 'prime-business-team-switch-setting', false ) ) : ?>
    <div class="ct-team-members-section u-full-width bordered ct-customizer">
        <div class="container">
            <div class="row">
                <div class="twelve columns">
                    <div class="title-w-sub">
                        <?php
                            if ( get_theme_mod( 'prime-business-team-subtitle-setting' ) != '' ):
                        ?>
                            <h4 class="team-members-subtitle"><?php echo esc_html( get_theme_mod( 'prime-business-team-subtitle-setting' ) ); ?></h4>
                        <div class="underline"></div><!-- /.underline -->
                        <?php endif ?>
                        <h3 class="team-members-title"><?php echo esc_html( get_the_title( get_theme_mod( 'prime-business-team-page-setting' ) ) ); ?></h3>
                        <?php
                            if ( get_theme_mod( 'prime-business-team-page-setting' ) != '' ):
                        ?>
                        <p><?php
                        echo esc_html( get_the_excerpt( get_theme_mod( 'prime-business-team-page-setting' ) ) );
                        ?></p>
                        <?php endif; ?>
                    </div><!-- /.title-w-sub -->
                </div><!-- /.twelve columns -->
            </div><!-- /.row -->

            <div class="row ct-team-members member-boxes">
                <?php
                    for ( $prime_business_count = 1; $prime_business_count < 9 ; $prime_business_count++ ) :
                        $prime_business_member = get_theme_mod( "prime-business-member-content-setting-$prime_business_count" );
                        if ( ! empty( $prime_business_member ) ) :
                ?>
                <div class = "member-box <?php echo esc_attr( get_theme_mod( 'prime-business-team-columns-setting', 'three' ) ); ?> columns">
                    <div class="team-member">
                        <?php if ( has_post_thumbnail( $prime_business_member ) ): ?>
                        <div class="member-effects">
                            <img src="<?php echo esc_url( get_the_post_thumbnail_url( $prime_business_member, 'prime-business-600-1x1' ) ); ?>" alt="<?php echo esc_attr__( 'Team Member', 'prime-business' ) ?>">
                        </div><!-- /.member-effects -->
                        <?php endif; ?>
                        <div class="member-info">
                            <h3 class="<?php echo esc_attr( "member-content-$prime_business_count" ) ?>"><?php echo esc_html( get_the_title( $prime_business_member ) ); ?></h3>
                            <p><?php
                            echo esc_html( get_the_excerpt( $prime_business_member ) );
                            ?></p>
                        </div><!-- /.member-info -->
                    </div><!-- /.team-member -->
                </div><!-- /.columns -->
                <?php
                        endif;
                    endfor;
                ?>
            </div><!-- /.row -->
        </div><!-- /.container -->
    </div><!-- /.ct-team-members u-full-width dark -->
<?php endif; ?>
